Paho Asynchronous MQTT C Client Library: MQTTAsync_disconnectOptions Struct Reference

| Paho Asynchronous MQTT C Client Library

Loading...
Searching...
No Matches
Data Fields
MQTTAsync_disconnectOptions Struct Reference

`#include <MQTTAsync.h>`

## Data Fields
char | struct_id [4]
int | struct_version
int | timeout
MQTTAsync_onSuccess * | onSuccess
MQTTAsync_onFailure * | onFailure
void * | context
MQTTProperties | properties
enum MQTTReasonCodes | reasonCode
MQTTAsync_onSuccess5 * | onSuccess5
MQTTAsync_onFailure5 * | onFailure5

## Detailed Description

Options for the MQTTAsync_disconnect call

## Field Documentation

## ◆ struct_id

char struct_id[4]

The eyecatcher for this structure. Must be MQTD.

## ◆ struct_version

int struct_version

The version number of this structure. Must be 0 or 1. 0 signifies no V5 properties

## ◆ timeout

int timeout

The client delays disconnection for up to this time (in milliseconds) in order to allow in-flight message transfers to complete.

## ◆ onSuccess

MQTTAsync_onSuccess* onSuccess

A pointer to a callback function to be called if the disconnect successfully completes. Can be set to NULL, in which case no indication of successful completion will be received.

## ◆ onFailure

MQTTAsync_onFailure* onFailure

A pointer to a callback function to be called if the disconnect fails. Can be set to NULL, in which case no indication of unsuccessful completion will be received.

## ◆ context

void* context

    A pointer to any application-specific context. The

the context pointer is passed to success or failure callback functions to provide access to the context information in the callback.

## ◆ properties

MQTTProperties properties

MQTT V5 input properties

## ◆ reasonCode

enum MQTTReasonCodes reasonCode

Reason code for MQTTV5 disconnect

## ◆ onSuccess5

MQTTAsync_onSuccess5* onSuccess5

A pointer to a callback function to be called if the disconnect successfully completes. Can be set to NULL, in which case no indication of successful completion will be received.

## ◆ onFailure5

MQTTAsync_onFailure5* onFailure5

A pointer to a callback function to be called if the disconnect fails. Can be set to NULL, in which case no indication of unsuccessful completion will be received.

The documentation for this struct was generated from the following file:

- MQTTAsync.h